import {
  createAsyncStructure,
  createResourceStructure,
  createActionStructure,
} from 'store/utils/actions';

import constants from './constants';

const actions = {
  ...createResourceStructure(`${constants.prefix}`),
  login: createAsyncStructure(`${constants.prefix}_login`),
  me: createAsyncStructure(`${constants.prefix}_me`),
  logout: createAsyncStructure(`${constants.prefix}_logout`),
  updateContent: createAsyncStructure(`${constants.prefix}_update_content`),
  search: createActionStructure(`${constants.prefix}_search`),
};

export default actions;
